# Zaslání vlastní události
from omw import *

class EmptyTextEntry(Entry):
    def ev_entry_change(self, sender):
        if self.get_text() == "":
            self.send_event("ev_entry_empty")

class LoggingEmpty(Group):
    def ev_entry_empty(self, sender):
        print("Entry is empty")
    

window = Window()
entry = EmptyTextEntry()
group = LoggingEmpty().set_items([entry])
window.set_widget(group)

# Nezašle událost ev_entry_empty:
"""
>>> entry.set_text("A")
"""
# Zašle událost ev_entry_empty:
"""
>>> entry.set_text("")
Entry is empty
"""
